org.python.core

## Class PySlice

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PySlice

All Implemented Interfaces:
  java.io.Serializable

    public class PySlice
    extends PyObject

The Python slice object.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.python.core.PyObject

`PyObject.ConversionException`

### Field Summary

Fields
`PyObject` `start`
`PyObject` `step`
`PyObject` `stop`
`static PyType` `TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PySlice()`
`PySlice(PyObject start, PyObject stop, PyObject step)`

### Method Summary

Methods
`PyObject` `__eq__(PyObject o)` Equivalent to the standard Python __eq__ method.
`PyObject` `__ne__(PyObject o)` Equivalent to the standard Python __ne__ method.
`static int` `calculateSliceIndex(PyObject v)`
`PyObject` `getStart()`
`PyObject` `getStep()`
`PyObject` `getStop()`
`int` `hashCode()`
`PyObject` `indices(PyObject len)`
`static PyObject[]` `indices2(PyObject obj, PyObject start, PyObject stop)` Calculate indices for the deprecated __get/set/delslice__ methods.
`int[]` `indicesEx(int len)` Calculates the actual indices of a slice with this slice's start, stop, step and slicelength values for a sequence of length `len`.
`java.lang.String` `toString()`

### Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final PyType TYPE

#### start

    public PyObject start

#### stop

    public PyObject stop

#### step

    public PyObject step

### Constructor Detail

#### PySlice

    public PySlice()

#### PySlice

    public PySlice(PyObject start,
           PyObject stop,
           PyObject step)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `PyObject`

#### __eq__

    public PyObject __eq__(PyObject o)

Description copied from class: `PyObject`
Equivalent to the standard Python __eq__ method.

Overrides:
  `__eq__` in class `PyObject`
Parameters:
  `o` - the object to compare this with.
Returns:
  the result of the comparison.

#### __ne__

    public PyObject __ne__(PyObject o)

Description copied from class: `PyObject`
Equivalent to the standard Python __ne__ method.

Overrides:
  `__ne__` in class `PyObject`
Parameters:
  `o` - the object to compare this with.
Returns:
  the result of the comparison.

#### indices

    public PyObject indices(PyObject len)

#### indicesEx

    public int[] indicesEx(int len)

Calculates the actual indices of a slice with this slice's start, stop, step and slicelength values for a sequence of length `len`.

Returns:
  an array with the start at index 0, stop at index 1, step at index 2 and slicelength at index 3

#### indices2

    public static PyObject[] indices2(PyObject obj,
                      PyObject start,
                      PyObject stop)

Calculate indices for the deprecated __get/set/delslice__ methods.

Parameters:
  `obj` - the object being sliced
  `start` - the slice operation's start
  `stop` - the slice operation's stop
Returns:
  an array with start at index 0 and stop at index 1

#### calculateSliceIndex

    public static int calculateSliceIndex(PyObject v)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PyObject`

#### getStart

    public final PyObject getStart()

#### getStop

    public final PyObject getStop()

#### getStep

    public final PyObject getStep()